package com.jisco.dynamicweight.dynamicbasescstation.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="null")
public class DynamicBaseScStation implements IBasePO<String> {
    /**
     * 站点编号（雪花ID）(STATION_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="站点编号（雪花ID）",required=true)
    private String stationNo;

    /**
     * 名称(NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="名称",required=true)
    private String name;

    /**
     * 数采系统站点编码(STATION_NUM,VARCHAR,20)
     */
    @ApiModelProperty(value="数采系统站点编码",required=true)
    private String stationNum;

    /**
     * 物料编码(MATERIAL_CODE,VARCHAR,20)
     */
    @ApiModelProperty(value="物料编码",required=false)
    private String materialCode;

    /**
     * 物料名称(MATERIAL_NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="物料名称",required=true)
    private String materialName;

    /**
     * 发货库房编码(SENDER_CODE,VARCHAR,20)
     */
    @ApiModelProperty(value="发货库房编码",required=true)
    private String senderCode;

    /**
     * 发货库房(SENDER_NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="发货库房",required=true)
    private String senderName;

    /**
     * 发货点类型(SENDER_TYPE,VARCHAR,10)
     */
    @ApiModelProperty(value="发货点类型",required=true)
    private String senderType;

    /**
     * 收货库房编码(RECIEVER_CODE,VARCHAR,20)
     */
    @ApiModelProperty(value="收货库房编码",required=true)
    private String recieverCode;

    /**
     * 收货库房(RECIEVER_NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="收货库房",required=true)
    private String recieverName;

    /**
     * 收货点类型(RECIEVER_TYPE,VARCHAR,10)
     */
    @ApiModelProperty(value="收货点类型",required=true)
    private String recieverType;

    /**
     * 是否上传皮卡(IS_UPLOAD,DECIMAL,38)
     */
    @ApiModelProperty(value="是否上传皮卡",required=true)
    private BigDecimal isUpload;

    /**
     * 是否分批(IS_INBATCHES,DECIMAL,38)
     */
    @ApiModelProperty(value="是否分批",required=true)
    private BigDecimal isInbatches;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 状态（0：无效；1:有效）(VALID_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态（0：无效；1:有效）",required=true)
    private String validFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.stationNo;
    }

    @Override
    public void setId(String stationNo) {
        this.stationNo = stationNo == null ? null : stationNo.trim();
    }

    public String getStationNo() {
        return stationNo;
    }

    public void setStationNo(String stationNo) {
        this.stationNo = stationNo == null ? null : stationNo.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getStationNum() {
        return stationNum;
    }

    public void setStationNum(String stationNum) {
        this.stationNum = stationNum == null ? null : stationNum.trim();
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode == null ? null : materialCode.trim();
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName == null ? null : materialName.trim();
    }

    public String getSenderCode() {
        return senderCode;
    }

    public void setSenderCode(String senderCode) {
        this.senderCode = senderCode == null ? null : senderCode.trim();
    }

    public String getSenderName() {
        return senderName;
    }

    public void setSenderName(String senderName) {
        this.senderName = senderName == null ? null : senderName.trim();
    }

    public String getSenderType() {
        return senderType;
    }

    public void setSenderType(String senderType) {
        this.senderType = senderType == null ? null : senderType.trim();
    }

    public String getRecieverCode() {
        return recieverCode;
    }

    public void setRecieverCode(String recieverCode) {
        this.recieverCode = recieverCode == null ? null : recieverCode.trim();
    }

    public String getRecieverName() {
        return recieverName;
    }

    public void setRecieverName(String recieverName) {
        this.recieverName = recieverName == null ? null : recieverName.trim();
    }

    public String getRecieverType() {
        return recieverType;
    }

    public void setRecieverType(String recieverType) {
        this.recieverType = recieverType == null ? null : recieverType.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag == null ? null : validFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public BigDecimal getIsUpload() {
        return isUpload;
    }

    public void setIsUpload(BigDecimal isUpload) {
        this.isUpload = isUpload;
    }

    public BigDecimal getIsInbatches() {
        return isInbatches;
    }

    public void setIsInbatches(BigDecimal isInbatches) {
        this.isInbatches = isInbatches;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", stationNo=").append(stationNo);
        sb.append(", name=").append(name);
        sb.append(", stationNum=").append(stationNum);
        sb.append(", materialCode=").append(materialCode);
        sb.append(", materialName=").append(materialName);
        sb.append(", senderCode=").append(senderCode);
        sb.append(", senderName=").append(senderName);
        sb.append(", senderType=").append(senderType);
        sb.append(", recieverCode=").append(recieverCode);
        sb.append(", recieverName=").append(recieverName);
        sb.append(", recieverType=").append(recieverType);
        sb.append(", isUpload=").append(isUpload);
        sb.append(", isInbatches=").append(isInbatches);
        sb.append(", memo=").append(memo);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}